
Summary: Tethered shooting & control of digital cameras
Name:	 entangle
Version: 3.0
Release: %mkrel 1
License: GPLv3+
Group: Graphics
URL: http://entangle-photo.org/
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gexiv2-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gphoto-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gudev1.0-devel
BuildRequires: lib64lcms-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64peas-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64gphoto-devel
BuildRequires: adwaita-icon-theme
BuildRequires: lib64exif12-devel
BuildRequires: LibRaw-devel

BuildRequires: LibRaw
Requires: lib64gtk+3_0
Requires: adwaita-icon-theme
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
neccessary transforms when displaying images.

%prep
%setup -q
%apply_patches

%build
sed -i "s/'libraw_r'/'raw_r'/g" meson.build
%meson
%meson_build

%install
rm -rf %{buildroot}
%meson_install

#drop devel stuff
rm -f %buildroot/%{_libdir}/*.so
rm -f %buildroot/%{_datadir}/gir-1.0/Entangle-0.1.gir

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%{_bindir}/entangle
%{_libdir}/entangle/plugins
%{_libdir}/girepository-1.0/Entangle-0.1.typelib
%{_libdir}/libentangle_backend.so.*
%{_libdir}/libentangle_frontend.so.*
%{_datadir}/entangle/plugins/eclipse/schemas
%{_datadir}/entangle/sRGB.icc
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/gtk-doc/html/entangle
%{_datadir}/help/C/entangle
%{_datadir}/icons/hicolor
%{_datadir}/man/man1/entangle.1.bz2
%{_datadir}/applications/org.entangle_photo.Manager.desktop
%{_datadir}/entangle/plugins/photobox/schemas/gschemas.compiled
%{_datadir}/entangle/plugins/photobox/schemas/org.entangle-photo.plugins.photobox.gschema.xml
%{_datadir}/entangle/plugins/shooter/schemas/gschemas.compiled
%{_datadir}/entangle/plugins/shooter/schemas/org.entangle-photo.plugins.shooter.gschema.xml
 %{_datadir}/metainfo/org.entangle_photo.Manager.metainfo.xml


%changelog
* Fri Jun 26 2020 tex - 3.0-1pclos2020
- new version

* Thu Aug 10 2019 tex - 2.0.0-1pclos2019
- 2.0.0
